#!/usr/bin/env ruby
# -*- coding: utf-8 -*-
require 'io/console'

puts("スペースキーを連打してね")
print("秒後に開始…")
z=3
print("\e[E")
while z>0
  print(z)
  sleep(1)
  print("\e[1D")
  z-=1
end
puts("")
hajime=Time.now
a=0
while z<10
  key=STDIN.getch
  if key==" "
    a+=1
  end
  sleep(1)
  z+=1
end
printf("%d文字でした。\n",a)
